Commit 6717b880 authored by Laurent Montel's avatar Laurent Montel 😁
Browse files

We depend against 5.84

parent bf8ac7de
Pipeline #73775 failed with stage
in 3 minutes and 11 seconds
......@@ -15,8 +15,6 @@
#include "kmkernel.h"
#include "settings/kmailsettings.h"
#include <kcmutils_version.h>
#include <KPluginLoader>
#include <KPluginMetaData>
#include <QPushButton>
......@@ -31,11 +29,7 @@ ConfigureDialog::ConfigureDialog(QWidget *parent, bool modal)
const QVector<KPluginMetaData> availablePlugins = KPluginLoader::findPlugins(QStringLiteral("pim/kcms/kmail"));
for (const KPluginMetaData &metaData : availablePlugins) {
#if KCMUTILS_VERSION >= QT_VERSION_CHECK(5, 84, 0)
addModule(metaData);
#else
addModule(metaData.pluginId());
#endif
}
connect(button(QDialogButtonBox::Ok), &QPushButton::clicked, this, &ConfigureDialog::slotOk);
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment